summaryrefslogtreecommitdiffstats
path: root/sbin/bsdlabel
diff options
context:
space:
mode:
authoruqs <uqs@FreeBSD.org>2011-03-10 08:24:10 +0000
committeruqs <uqs@FreeBSD.org>2011-03-10 08:24:10 +0000
commit4489e3bc5b101d3664a1a879d5565b88b4373560 (patch)
tree3ee1712becddb17b472e591f4f4eceb463977c75 /sbin/bsdlabel
parentf83c8c08c41930fcddeac65e9dd38c7f5ce96b9c (diff)
downloadFreeBSD-src-4489e3bc5b101d3664a1a879d5565b88b4373560.zip
FreeBSD-src-4489e3bc5b101d3664a1a879d5565b88b4373560.tar.gz
Remove bsdlabel test-script that was full of broken assumptions.
- the default label now includes an a: partition by default - the c: partition is no longer exported via devfs - writing of the labels usually works in all cases, though the script assumes half of them have to fail
Diffstat (limited to 'sbin/bsdlabel')
-rw-r--r--sbin/bsdlabel/Makefile6
-rw-r--r--sbin/bsdlabel/runtest.sh175
2 files changed, 0 insertions, 181 deletions
diff --git a/sbin/bsdlabel/Makefile b/sbin/bsdlabel/Makefile
index 5c9184e..c06d260 100644
--- a/sbin/bsdlabel/Makefile
+++ b/sbin/bsdlabel/Makefile
@@ -17,9 +17,3 @@ DPADD= ${LIBGEOM} ${LIBBSDXML} ${LIBSBUF}
LDADD= -lgeom -lbsdxml -lsbuf
.include <bsd.prog.mk>
-
-test: ${PROG}
- sh ${.CURDIR}/runtest.sh
-
-testx: ${PROG}
- sh -x ${.CURDIR}/runtest.sh
diff --git a/sbin/bsdlabel/runtest.sh b/sbin/bsdlabel/runtest.sh
deleted file mode 100644
index 9d561f3..0000000
--- a/sbin/bsdlabel/runtest.sh
+++ /dev/null
@@ -1,175 +0,0 @@
-#!/bin/sh
-# $FreeBSD$
-
-TMP=/tmp/$$.
-set -e
-for TEST in "i386 512" "i386 4096" "alpha 512"
-do
- set $TEST
- ARCH=$1
- SEC=$2
- echo "ARCH $ARCH SEC $SEC"
- MD=`mdconfig -a -t malloc -s 2m -S $SEC`
- trap "exec 7</dev/null; rm -f ${TMP}* ; mdconfig -d -u ${MD}" EXIT INT TERM
-
- ./bsdlabel -m ${ARCH} -r -w $MD auto
-
- dd if=/dev/$MD of=${TMP}i0 count=1 bs=8k > /dev/null 2>&1
- if [ "$ARCH" = "alpha" ] ; then
- dd if=${TMP}i0 of=${TMP}b0 iseek=1 count=15 > /dev/null 2>&1
- else
- cp ${TMP}i0 ${TMP}b0
- fi
- ./bsdlabel -m ${ARCH} $MD > ${TMP}l0
-
- sed '
- / c:/{
- p
- s/c:/a:/
- s/4096/1024/
- s/512/64/
- }
- ' ${TMP}l0 > ${TMP}l1
-
- ./bsdlabel -m ${ARCH} -R $MD ${TMP}l1
- if [ -c /dev/${MD}a ] ; then
- echo "PASS: Created a: partition" 1>&2
- else
- echo "FAIL: Did not create a: partition" 1>&2
- exit 2
- fi
-
- # Spoil and rediscover
-
- true > /dev/${MD}
- if [ -c /dev/${MD}a ] ; then
- echo "PASS: Recreated a: partition after spoilage" 1>&2
- else
- echo "FAIL: Did not recreate a: partition after spoilage" 1>&2
- exit 2
- fi
-
- dd if=/dev/$MD of=${TMP}i1 count=1 bs=8k > /dev/null 2>&1
- sed '
- / c:/{
- p
- s/c:/a:/
- s/4096/2048/
- s/512/256/
- }
- ' ${TMP}l0 > ${TMP}l2
-
- ./bsdlabel -m ${ARCH} -R $MD ${TMP}l2
- dd if=/dev/$MD of=${TMP}i2 count=1 bs=8k > /dev/null 2>&1
-
- exec 7< /dev/${MD}a
-
- for t in a c
- do
- if dd if=${TMP}i2 of=/dev/${MD}$t bs=8k 2>/dev/null ; then
- echo "PASS: Could rewrite same label to ...$t while ...a open" 1>&2
- else
- echo "FAIL: Could not rewrite same label to ...$t while ...a open" 1>&2
- exit 2
- fi
-
- if dd if=${TMP}i1 of=/dev/${MD}$t bs=8k 2>/dev/null ; then
- echo "FAIL: Could label with smaller ...a to ...$t while ...a open" 1>&2
- exit 2
- else
- echo "PASS: Could not label with smaller ...a to ...$t while ...a open" 1>&2
- fi
-
- if dd if=${TMP}i0 of=/dev/${MD}$t 2>/dev/null ; then
- echo "FAIL: Could write label missing ...a to ...$t while ...a open" 1>&2
- exit 2
- else
- echo "PASS: Could not write label missing ...a to ...$t while ...a open" 1>&2
- fi
- done
-
- exec 7< /dev/null
-
- if dd if=${TMP}i0 of=/dev/${MD}c bs=8k 2>/dev/null ; then
- echo "PASS: Could write missing ...a label to ...c" 1>&2
- else
- echo "FAIL: Could not write missing ...a label to ...c" 1>&2
- exit 2
- fi
-
- if dd if=${TMP}i2 of=/dev/${MD}c bs=8k 2>/dev/null ; then
- echo "PASS: Could write large ...a label to ...c" 1>&2
- else
- echo "FAIL: Could not write large ...a label to ...c" 1>&2
- exit 2
- fi
-
- if dd if=${TMP}i1 of=/dev/${MD}c bs=8k 2>/dev/null ; then
- echo "PASS: Could write small ...a label to ...c" 1>&2
- else
- echo "FAIL: Could not write small ...a label to ...c" 1>&2
- exit 2
- fi
-
- if dd if=${TMP}i2 of=/dev/${MD}a bs=8k 2>/dev/null ; then
- echo "PASS: Could increase size of ...a by writing to ...a" 1>&2
- else
- echo "FAIL: Could not increase size of ...a by writing to ...a" 1>&2
- exit 2
- fi
-
- if dd if=${TMP}i1 of=/dev/${MD}a bs=8k 2>/dev/null ; then
- echo "FAIL: Could decrease size of ...a by writing to ...a" 1>&2
- exit 2
- else
- echo "PASS: Could not decrease size of ...a by writing to ...a" 1>&2
- fi
-
- if dd if=${TMP}i0 of=/dev/${MD}a bs=8k 2>/dev/null ; then
- echo "FAIL: Could delete ...a by writing to ...a" 1>&2
- exit 2
- else
- echo "PASS: Could not delete ...a by writing to ...a" 1>&2
- fi
-
- if ./bsdlabel -m ${ARCH} -B -b ${TMP}b0 ${MD} ; then
- if [ ! -c /dev/${MD}a ] ; then
- echo "FAILED: Writing bootcode killed ...a" 1>&2
- exit 2
- else
- echo "PASS: Could write bootcode while closed" 1>&2
- fi
- else
- echo "FAILED: Could not write bootcode while closed" 1>&2
- exit 2
- fi
-
- exec 7> /dev/${MD}c
- if ./bsdlabel -m ${ARCH} -B -b ${TMP}b0 ${MD} ; then
- if [ ! -c /dev/${MD}a ] ; then
- echo "FAILED: Writing bootcode killed ...a" 1>&2
- exit 2
- else
- echo "PASS: Could write bootcode while open" 1>&2
- fi
- else
- echo "FAILED: Could not write bootcode while open" 1>&2
- exit 2
- fi
- exec 7> /dev/null
-
- if dd if=${TMP}i0 of=/dev/${MD}c bs=8k 2>/dev/null ; then
- echo "PASS: Could delete ...a by writing to ...c" 1>&2
- else
- echo "FAIL: Could not delete ...a by writing to ...c" 1>&2
- exit 2
- fi
-
- # XXX: need to add a 'b' partition and check for overlaps.
-
- rm -f ${TMP}*
- mdconfig -d -u ${MD}
-
-done
-trap "" EXIT INT TERM
-exit 0
OpenPOWER on IntegriCloud